# Hue

## A colour palette generator

A web application to extract a palette from an image.

Run `pip install -r requirements.txt` [^1] before running open site.html.

The app is based on the HTML, CSS, JS trio and runs using the modules [scikit-learn](https://scikit-learn.org/stable/) and the [Python Imaging Library](https://pillow.readthedocs.io/en/stable/) for the palette extraction.

The API is currently in development.

[^1]: While the app should run for any version, the specific versions of the modules are listed in spec_req.txt
